io.milvus.v2.service.index

## Class IndexService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.index.IndexService

    public class IndexService
    extends BaseService

### Field Summary

### Fields inherited from class io.milvus.v2.service.BaseService

`convertUtils, dataUtils, rpcUtils, vectorUtils`

### Constructor Summary

Constructors
Constructor and Description
`IndexService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Void` `alterIndex(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, AlterIndexReq request)`
`java.lang.Void` `createIndex(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateIndexReq request)`
`DescribeIndexResp` `describeIndex(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DescribeIndexReq request)`
`java.lang.Void` `dropIndex(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DropIndexReq request)`
`java.util.List<java.lang.String>` `listIndexes(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, ListIndexesReq request)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexService

    public IndexService()

### Method Detail

#### createIndex

    public java.lang.Void createIndex(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                      CreateIndexReq request)

#### dropIndex

    public java.lang.Void dropIndex(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                    DropIndexReq request)

#### alterIndex

    public java.lang.Void alterIndex(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                     AlterIndexReq request)

#### describeIndex

    public DescribeIndexResp describeIndex(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                           DescribeIndexReq request)

#### listIndexes

    public java.util.List<java.lang.String> listIndexes(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                        ListIndexesReq request)